Bug 63031 - windows dont rebuild from saved session correctly
windows dont rebuild from saved session correctly
Product: Red Hat Linux
Classification: Retired
Component: evolution (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-04-09 10:43 EDT by Terry Davis
Modified: 2007-04-18 12:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-07-28 18:55:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Terry Davis 2002-04-09 10:43:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020314

Description of problem:
I have several windows open on different desktops (6).  If I choose save
session, most of the windows/programs will reopen to the desktop they were in
when I logged out and saved the session.  Some do not.  For example, evolution
will load the splash screen in the desktop where it was originally but will load
in the current focused desktop.  Xmms does the same thing.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Load xmms and evolution on different desktops
2. Log out and save session
3. Log back in

Actual Results:  They load in the current focused desktop.

Expected Results:  They should have loaded into the desktop where they were
saved from the previous session.

Additional info:
Comment 1 Bernhard Rosenkraenzer 2002-07-02 08:41:30 EDT
Sounds like a session management bug in gnome libs... Not sure though.
Comment 2 Havoc Pennington 2002-07-02 08:54:07 EDT
It's probably a bug in these specific applications. xmms doesn't link to
gnome-libs. The problem with Evolution is straightforward, the splash screen is
assumed to be the session-restored window, instead of the main window. Could be
fixed by changing the class/name on the splash screen, or its "role" hint.
Comment 3 Jeremy Katz 2003-07-28 18:55:54 EDT
This is happier for me with evolution 1.4

Note You need to log in before you can comment on or make changes to this bug.